$( document ).ready(function() {
var content = document.getElementById("content");	// OL element

$("#submit").click(function(){
	var total = 0;
	var correct = 0;
	var answer = content.firstChild;
	while (answer) {
		var input = $(answer).find("input")[0];
		if (typeof input !== 'undefined') {
			total = total + 1;
			var type = $(input).attr("type"); 
			if (type == "text" && ($(input).val() == $(input).attr('id'))) {
				correct = correct + 1;
			}
			else if (type == "radio") {
				var name = $(input).attr('name');
				if($('input[name='+name+']:checked').attr('id')=='correct')
					correct = correct + 1;
			}	

		}
		answer = answer.nextSibling;
	}
	alert(correct + " correct out of " + total + " total questions");
	
});
});


function display_radio(question, answer, name) {
	var li = document.createElement("LI");
	content.appendChild(li);
	var q = document.createTextNode(question);
	li.appendChild(q);
	var form = document.createElement("FORM");
	li.appendChild(form);
	for (var i=0; i<answer.length-1; i++) {
		var r = document.createElement("INPUT");
		r.setAttribute("type", "radio");
		r.setAttribute("value", answer[i]);
		r.setAttribute("name", name);
		if (answer[i] == answer[answer.length-1]) {
			r.id = "correct";
		}
		var label = document.createElement("LABEL");
		var text = document.createTextNode(answer[i]);
		label.appendChild(r);
		label.appendChild(text);
		form.appendChild(label);
	}
	content.appendChild(document.createElement("BR"));
}

function display_fillin(question, answer, name) {
	var li = document.createElement("LI");
	content.appendChild(li);
	var q = document.createTextNode(question);
	li.appendChild(q);
	var form = document.createElement("FORM");
	li.appendChild(form);
	var r = document.createElement("INPUT");
	r.setAttribute("type", "text");
	r.setAttribute("id", answer[0]);
	r.setAttribute("name", name);
	form.appendChild(r);
	li.appendChild(document.createElement("BR"));
	content.appendChild(document.createElement("BR"));
}

function clear() {
	while (content.firstChild) {
		content.removeChild(content.firstChild);
	}
}